Bug 56544 - Bad: rpm -bb kernel-2.4.spec >crashed
Bad: rpm -bb kernel-2.4.spec >crashed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-20 14:21 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 13:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-20 14:21:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
can't upgrade Linux 7.2 kernel 2.4.7-10 to 2.4.9-13 using
kernel-2.4.9-13.src.rpm

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./usr/src/redhat/SRPMS/rpm -i kernel-2.4.9-13.src.rpm
2./usr/src/redhat/SPECS/rpm -bb kernel-2.4.spec
3.
	

Actual Results:  crashed


Expected Results:  upgrade to kernel 2.4.9-13

Additional info:

fib_hash.c: In function `fib_detect_death':
fib_hash.c:338: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [fib_hash.o] Error 2
make[2]: *** [first_rule] Error 2
make[1]: *** [_subdir_ipv4] Error 2
make: *** [_dir_net] Error 2
make: *** Waiting for unfinished jobs....
error: Bad exit status from /var/tmp/rpm-tmp.95548 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.95548 (%build)
Comment 1 Jeff Johnson 2001-11-21 14:27:58 EST
This is (possibly) a kernel packaging problem, not an rpm problem.
Comment 2 Arjan van de Ven 2001-11-21 14:30:10 EST
more like a gcc bug; gcc crashes...
Comment 3 Jakub Jelinek 2001-11-21 14:33:50 EST
Is it reproduceable? If not, it is most probably a flaky hardware.
If it is, please attached preprocessed source of the file on which it
crashes.
Comment 4 Alan Cox 2002-12-15 13:14:30 EST
Closed, no reply assuming hardware

Note You need to log in before you can comment on or make changes to this bug.